commit:     816135edb6f54cd46a7867f92122636e926fd307
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  8 05:20:01 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Sep  8 05:35:25 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=816135ed

dev-ruby/patron: version bump

Package-Manager: portage-2.2.20.1

 dev-ruby/patron/Manifest            |  1 +
 dev-ruby/patron/patron-0.5.0.ebuild | 44 +++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ruby/patron/Manifest b/dev-ruby/patron/Manifest
index 3322660..05217b3 100644
--- a/dev-ruby/patron/Manifest
+++ b/dev-ruby/patron/Manifest
@@ -1,2 +1,3 @@
 DIST patron-0.4.18.gem 35840 SHA256 
700ffba09ea854bc26fdde08998d8310ed59b0721098d4a7dc9a85845c71bd81 SHA512 
0069f42378b0dfe03e6f86003b7927b099fd15be4d4b5eeba51958774380bf7a9ddbd8a83b30942d02e95b923f9ae0a1c1abf5bcda8ca8490671208e0ae8ecb4
 WHIRLPOOL 
c709bcd65033288fc55d8d5c044c001afa8ac34d098466e017c5adc3a08314897e86f021a09f61abcc5153893152518dc1843ba7dfa79fc271067b708283b75c
 DIST patron-0.4.20.gem 42496 SHA256 
eb1782f38f280a9975fc97435920c29fd10a0c2e05b6f7a7549652ffbf92af71 SHA512 
78cb97e7d7a35fb97ed7da4c767937a543c1f979c7dd1dff0d3b055024b37aa50238163af4680ba464a28523c0f5879f0d6e372276774dfdac726a5493c202e5
 WHIRLPOOL 
a4158ac99edd2d302e59420be6d75b368e9d9d04ecd9b5051a53eb22639f3f32fa541061f28444cb716deab906c3055ddbc26c4f5289fa0c00c134517ac9ffdd
+DIST patron-0.5.0.gem 44032 SHA256 
6abf431b05f560afc8c479685bb3869797522290777a1ae8510ef5c8b3208c63 SHA512 
84c4cbb4ebeac3a9320915b35e4afefda5637f1bed96e83b8c2345dfd08ba02e07806b13a87c5067dd842ccddb67928c7f60889687676c0683d4e09373d8c2a7
 WHIRLPOOL 
df34adeb59ea45d5d84a6ad1aef3e0fbf4781720443be2ba37450ddf2e51ac3b2c969bb2798fe78bb476cde79f4ccc3d3c1f6511a20dc2deda5a750ec9d03139

diff --git a/dev-ruby/patron/patron-0.5.0.ebuild 
b/dev-ruby/patron/patron-0.5.0.ebuild
new file mode 100644
index 0000000..1731d1a
--- /dev/null
+++ b/dev-ruby/patron/patron-0.5.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Patron is a Ruby HTTP client library based on libcurl"
+HOMEPAGE="https://toland.github.com/patron/";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND+=" net-misc/curl"
+RDEPEND+=" net-misc/curl"
+
+all_ruby_prepare() {
+       # Fix Rakefile
+       sed -i -e 's:rake/rdoctask:rdoc/task:' \
+               -e 's/README.txt/README.md/' \
+               -e '/bundler/I s:^:#:' \
+               -e '/extensiontask/ s:^:#:' \
+               -e '/ExtensionTask/,/^end/ s:^:#:' \
+               Rakefile || die
+
+       # Avoid specs with failures. We were not running any specs before.
+       rm spec/session_ssl_spec.rb spec/session_spec.rb spec/response_spec.rb 
|| die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/patron extconf.rb || die
+}
+
+each_ruby_compile() {
+       emake -Cext/patron V=1
+       cp ext/patron/session_ext$(get_modname) lib/patron/ || die "Unable to 
cp shared object file"
+}

Reply via email to